* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
    justify-content: center;
    align-items: center;
    display: flex;
    height: 100vh;
    margin: 0;
    background-color: #ced4db;
    padding: 20px;
}

.login-container {
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    width: 100%;
    max-width: 500px;
    height: auto;
    border: 2px solid #5e5e5e;
    text-align: center;
}

.logo {
    width: 250px;
    height: auto;
    margin: 0 auto 30px;
    display: block;
    border-radius: 5%;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

input {
    margin: 15px 0;
    padding: 12px 15px;
    border: 1px solid #444444;
    border-radius: 22px;
    width: 100%;
    font-size: 16px;
    font-weight: bold;
}

button {
    margin-top: 30px;
    padding: 12px 15px;
    background-color: #f2f3f5;
    color: #000000;
    border: 1px solid #9c9c9c;
    border-radius: 22px;
    cursor: pointer;
    font-size: 18px;
    font-weight: bold;
    width: 100%;
    max-width: 300px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

button:hover {
    background-color: #ced4db;
    border-color: #888888;
}

/* Responsivo para pantallas pequeñas */
@media (max-width: 600px) {
    .logo {
        width: 150px;
        margin-bottom: 20px;
    }

    .login-container {
        padding: 15px;
        border-width: 1px;
    }

    input, button {
        font-size: 14px;
        padding: 10px 12px;
    }
}
